<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>writeq_sr &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>writeq_sr
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.0% of total for procedures.">9 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/stringmod.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/stringmod.f03.html'>stringmod.f03</a></li>
    
     <li><a href='../module/strings.html'>strings</a></li>
    
  
     <li class="active">writeq_sr</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
private subroutine writeq_sr(unit, namestr, value, fmt)
    
    
   
</h2>
    
  


    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-unit%7E2"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>unit</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-namestr%7E2"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>namestr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-value%7E2"></span>real(kind=kr4)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>value</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fmt%7E11"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~writeq_sr~~CallsGraph Pages: 1 -->
<svg id="procwriteq_srCallsGraph" width="246pt" height="158pt"
 viewBox="0.00 0.00 246.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~writeq_sr~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>proc~~writeq_sr~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 242,-154 242,4 -4,4"/>
<!-- proc~writeq_sr -->
<g id="proc~~writeq_sr~~CallsGraph_node1" class="node">
<title>proc~writeq_sr</title>
<polygon fill="none" stroke="#000000" points="56,-108 0,-108 0,-84 56,-84 56,-108"/>
<text text-anchor="middle" x="28" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">writeq_sr</text>
</g>
<!-- proc~trimzero -->
<g id="proc~~writeq_sr~~CallsGraph_node2" class="node">
<title>proc~trimzero</title>
<g id="a_proc~~writeq_sr~~CallsGraph_node2"><a xlink:href=".././proc/trimzero.html" xlink:title="trimzero">
<polygon fill="#d9534f" stroke="#d9534f" points="147,-129 93,-129 93,-105 147,-105 147,-129"/>
<text text-anchor="middle" x="120" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzero</text>
</a>
</g>
</g>
<!-- proc~writeq_sr&#45;&gt;proc~trimzero -->
<g id="proc~~writeq_sr~~CallsGraph_edge1" class="edge">
<title>proc~writeq_sr&#45;&gt;proc~trimzero</title>
<path fill="none" stroke="#000000" d="M56.1029,-102.4148C64.5495,-104.3428 73.9499,-106.4886 82.8853,-108.5282"/>
<polygon fill="#000000" stroke="#000000" points="82.1723,-111.9554 92.7005,-110.7686 83.7301,-105.1309 82.1723,-111.9554"/>
</g>
<!-- interface~writenum -->
<g id="proc~~writeq_sr~~CallsGraph_node3" class="node">
<title>interface~writenum</title>
<g id="a_proc~~writeq_sr~~CallsGraph_node3"><a xlink:href=".././interface/writenum.html" xlink:title="writenum">
<polygon fill="#a7506f" stroke="#a7506f" points="148,-87 92,-87 92,-63 148,-63 148,-87"/>
<text text-anchor="middle" x="120" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writenum</text>
</a>
</g>
</g>
<!-- proc~writeq_sr&#45;&gt;interface~writenum -->
<g id="proc~~writeq_sr~~CallsGraph_edge2" class="edge">
<title>proc~writeq_sr&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M56.1029,-89.5852C64.2308,-87.7299 73.2419,-85.673 81.872,-83.7031"/>
<polygon fill="#000000" stroke="#000000" points="82.7818,-87.0856 91.7521,-81.4479 81.224,-80.2611 82.7818,-87.0856"/>
</g>
<!-- proc~write_sr -->
<g id="proc~~writeq_sr~~CallsGraph_node4" class="node">
<title>proc~write_sr</title>
<g id="a_proc~~writeq_sr~~CallsGraph_node4"><a xlink:href=".././proc/write_sr.html" xlink:title="write_sr">
<polygon fill="#d9534f" stroke="#d9534f" points="238,-150 184,-150 184,-126 238,-126 238,-150"/>
<text text-anchor="middle" x="211" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_sr</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_sr -->
<g id="proc~~writeq_sr~~CallsGraph_edge3" class="edge">
<title>interface~writenum&#45;&gt;proc~write_sr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M137.5457,-87.147C151.016,-96.4726 169.8233,-109.4931 185.0349,-120.0241"/>
<polygon fill="#000000" stroke="#000000" points="183.294,-123.0758 193.5081,-125.8903 187.2785,-117.3204 183.294,-123.0758"/>
</g>
<!-- proc~write_si -->
<g id="proc~~writeq_sr~~CallsGraph_node5" class="node">
<title>proc~write_si</title>
<g id="a_proc~~writeq_sr~~CallsGraph_node5"><a xlink:href=".././proc/write_si.html" xlink:title="write_si">
<polygon fill="#d9534f" stroke="#d9534f" points="238,-108 184,-108 184,-84 238,-84 238,-108"/>
<text text-anchor="middle" x="211" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_si</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_si -->
<g id="proc~~writeq_sr~~CallsGraph_edge4" class="edge">
<title>interface~writenum&#45;&gt;proc~write_si</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M148.2941,-81.5294C156.4692,-83.416 165.5133,-85.5031 174.129,-87.4913"/>
<polygon fill="#000000" stroke="#000000" points="173.4374,-90.9236 183.9684,-89.7619 175.0115,-84.1029 173.4374,-90.9236"/>
</g>
<!-- proc~write_dr -->
<g id="proc~~writeq_sr~~CallsGraph_node6" class="node">
<title>proc~write_dr</title>
<g id="a_proc~~writeq_sr~~CallsGraph_node6"><a xlink:href=".././proc/write_dr.html" xlink:title="write_dr">
<polygon fill="#d9534f" stroke="#d9534f" points="238,-66 184,-66 184,-42 238,-42 238,-66"/>
<text text-anchor="middle" x="211" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_dr</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_dr -->
<g id="proc~~writeq_sr~~CallsGraph_edge5" class="edge">
<title>interface~writenum&#45;&gt;proc~write_dr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M148.2941,-68.4706C156.4692,-66.584 165.5133,-64.4969 174.129,-62.5087"/>
<polygon fill="#000000" stroke="#000000" points="175.0115,-65.8971 183.9684,-60.2381 173.4374,-59.0764 175.0115,-65.8971"/>
</g>
<!-- proc~write_di -->
<g id="proc~~writeq_sr~~CallsGraph_node7" class="node">
<title>proc~write_di</title>
<g id="a_proc~~writeq_sr~~CallsGraph_node7"><a xlink:href=".././proc/write_di.html" xlink:title="write_di">
<polygon fill="#d9534f" stroke="#d9534f" points="238,-24 184,-24 184,0 238,0 238,-24"/>
<text text-anchor="middle" x="211" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_di</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_di -->
<g id="proc~~writeq_sr~~CallsGraph_edge6" class="edge">
<title>interface~writenum&#45;&gt;proc~write_di</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M137.5457,-62.853C151.016,-53.5274 169.8233,-40.5069 185.0349,-29.9759"/>
<polygon fill="#000000" stroke="#000000" points="187.2785,-32.6796 193.5081,-24.1097 183.294,-26.9242 187.2785,-32.6796"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~writeq_sr~~CalledByGraph Pages: 1 -->
<svg id="procwriteq_srCalledByGraph" width="154pt" height="32pt"
 viewBox="0.00 0.00 154.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~writeq_sr~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~writeq_sr~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 150,-28 150,4 -4,4"/>
<!-- proc~writeq_sr -->
<g id="proc~~writeq_sr~~CalledByGraph_node1" class="node">
<title>proc~writeq_sr</title>
<polygon fill="none" stroke="#000000" points="146,-24 90,-24 90,0 146,0 146,-24"/>
<text text-anchor="middle" x="118" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">writeq_sr</text>
</g>
<!-- interface~writeq -->
<g id="proc~~writeq_sr~~CalledByGraph_node2" class="node">
<title>interface~writeq</title>
<g id="a_proc~~writeq_sr~~CalledByGraph_node2"><a xlink:href=".././interface/writeq.html" xlink:title="writeq">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq</text>
</a>
</g>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_sr -->
<g id="proc~~writeq_sr~~CalledByGraph_edge1" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_sr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.303,-12C62.268,-12 71.1237,-12 79.6375,-12"/>
<polygon fill="#000000" stroke="#000000" points="79.77,-15.5001 89.77,-12 79.77,-8.5001 79.77,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>